---
title: Decisions
---

## Proposal 001 - Desiscion Making Process - 2023-03-03

- Deadline: 2023-03-03 (live voting)
- Size: large

### Summary 

Institute descision making process as per below. Special consensus voting in organization meeting rather than the below process.

### Decision Making Process

* Write up a proposal using the below template, and add to the [Proposals wiki page](https://git.coopcloud.tech/Federation/Federation/wiki/Proposals).
* Specify if they are a large or medium proposal
* Votes are done via emoji-reaction in the Community Organising Matrix channel (<https://matrix.to/#/#coopcloud-comm-org:autonomic.zone>) 
* List the decision on the [decisions page](https://docs.coopcloud.tech/democracy/decisions) on our documentation
* Decisions can be split intro three categories: Small, Medium and Large.
* Votes can be in favour :+1:, against :-1: (block),  or abstain :shrug:
* Announce the result in the [Federation chat (#coop-cloud-fedi:autonomic.zone)](https://docs.coopcloud.tech/intro/contact/#matrix) and record it on the [decisions page](https://docs.coopcloud.tech/democracy/decisions) of the documentation

### Types of Proposals

#### Small - “Get on and do a thing”

* Up to individual members to decide if they should just make the decision, or share it with the rest of the members to seek consensus.

#### Medium - “consensus pending objections”

* Potentially about shared tools, recipes, abra, etc.
* Doesn’t have an effect on the direction or operation of Co-op Cloud as a whole.
* If any member of Co-op Cloud thinks it’s a Large decision, achieve Maximum Consensus™ (see [below](https://pad.autonomic.zone/PtNbWo-7Tt-CKXvC6kxvZQ?view#Large---Maximum-Consensus-%E2%84%A2))
* proposals must have a minimum deadline of 2 weeks from when they are proposed
* Pass requirements:
  * at least one :+1: vote
  * no :-1: votes

#### Large - “Maximum Consensus ™”

* Important decisions affecting the operation, direction, working conditions and finances of Co-op Cloud.
* proposals must have a minimum deadline of 2 weeks from when they are proposed
* Pass requirements:
  * more than 50% of total number of federation members :+1: votes
  * no :-1: votes

### Proposal Template

```javascript
## Proposal <number> - <title> - <date>

- Deadline: Date
- Size: large or medium

### Summary
Who this affects, and what it does

### Details
A narritive with details 
```
